Description

I'm not native, but shouldn't the string "Import into PostgreSQL" be named "Export to PostgreSQL"?

Actually, it's "Import from PostgreSQL".

Associated revisions

Revision 5fab46f4 - 2018-08-21 08:00 AM - Nyall Dawson

[processing][needs-docs] Refine names for 'Import into PostGIS' algs

Renames the existing algorithms for clarity and consistency

to the format 'Export to PostgreSQL...'. Add tags so that they

still show when searching for the old names, and add descriptions

to make their use more obvious from the toolbox.

Fixes #19658

History

#1 - 2018-08-20 06:06 PM - Giovanni Manghi

- Status changed from Open to Feedback

What tool are you referreing? The QGIS native one? the ogr based? DB Manager? Other? what version of QGIS?

#2 - 2018-08-20 07:14 PM - Tobias Wendorff

- File qgis_export.png added

Giovanni Manghi wrote:

What tool are you referreing? The QGIS native one? the ogr based? DB Manager? Other? what version of QGIS?

The QGIS native one in "Processing". See attachment. "Import" might be right, from the DB's point of view. But we're pushing data to the DB.

I've seen this in QGIS 3.x

#3 - 2018-08-20 08:38 PM - Jürgen Fischer
- Subject changed from Import into PostgreSQL => Export to PostgreSQL to Import into PostGIS => Export to PostGIS

#4 - 2018-08-20 08:47 PM - Tobias Wendorff

@Jürgen

Just curious: Why did you change the topic? The database is called "PostgreSQL". You don't need PostGIS extensions to load data from QGIS into the

DB.

#5 - 2018-08-20 09:38 PM - Jürgen Fischer

Tobias Wendorff wrote:

@Jürgen

Just curious: Why did you change the topic? The database is called "PostgreSQL". You don't need PostGIS extensions to load data from QGIS into

the DB.

"Import into PostGIS" exists, "Import into PostgreSQL" doesn't - see also your screenshot.

#6 - 2018-08-21 02:53 AM - Tobias Wendorff

Jürgen Fischer wrote:

"Import into PostGIS" exists, "Import into PostgreSQL" doesn't - see also your screenshot.

Funny, I didn't realize this. Maybe we should call it "PostgreSQL" then... QGIS is capable of sending non-spatial datasets, too :-)

#7 - 2018-08-21 07:59 AM - Nyall Dawson

- Status changed from Feedback to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|5fab46f41c99b0f44b9ac231fb6715030a3c1bb0.

#8 - 2018-08-21 11:34 AM - Giovanni Manghi

- Resolution set to fixed/implemented

Tobias Wendorff wrote:

Jürgen Fischer wrote:

"Import into PostGIS" exists, "Import into PostgreSQL" doesn't - see also your screenshot.

Funny, I didn't realize this. Maybe we should call it "PostgreSQL" then... QGIS is capable of sending non-spatial datasets, too :-)
I was not particularly in favor of this change (after all in QGIS users looks to work with spatial data the vast majority of times, and much less with

geometryless tables. Also users were used to the "import" word as they look to get data IN the database.), but as you can see it was already done without

further discussion.
